function embed_gif(link_info) {
	if (typeof link_info.extension !== "string") {
		return;
	}

	const is_gif = get_mime_types(link_info.extension).includes("image/gif");

	if (!is_gif) {
		return;
	}

	return `<div class="embed-container image gif"><img src="${link_info.url}" alt="A gif from ${link_info.domain}" /></div>`;
}
